Project

General

Profile

Mise a jour 18.03 vers Wazo-Platform

Added by Kévin CHAILLY 6 months ago

Bonjour,

Lors de la mise a jour de mon Wazo 18.03 vers Wazo-Platform,

J'ai commencé par executer wazo-upgrade -d puis wazo-dist-upgrade -d

J'ai tout d'abord rencontré l'erreur suivante : Variable XIVO_VERSION_INSTALLED must be set

j'ai donc export xivo_version_installed=18.03

Cependant, j'ai ensuite rencontré : /usr/bin/real-xivo-upgrade: ligne 313 : [: < : opérateur unaire attendu

J'ai donc édité la ligne 313 : if [ $(xivo_version_installed) \< '18.04' ]; then -> if [ $xivo_version_installed \< '18.04' ]; then

Je me heurte a présent a cette erreur :
Would you like to upgrade your system (all services will be restarted) [Y/n]?
Executing upgrade script /usr/share/xivo-upgrade/pre-stop.d/01_dump_xivo_user_to_file.py...
execute the following script before upgrading your wazo:
/usr/share/xivo-upgrade/post-start.d/23_load_wazo_user_from_file.py -f
Failed to execute /usr/share/xivo-upgrade/pre-stop.d/01_dump_xivo_user_to_file.py
Please, fix this issue before re-executing wazo-upgrade
root@wazo:/usr/share/xivo-upgrade/post-start.d#


Replies (7)

RE: Mise a jour 18.03 vers Wazo-Platform - Added by Kévin CHAILLY 6 months ago

J'ai donc lancé /usr/share/xivo-upgrade/pre-stop.d/01_dump_xivo_user_to_file.py pour avoir plus de détails, puis,

J'ai eu l'erreur suivante :
Executing upgrade script /usr/share/xivo-upgrade/pre-stop.d/01_dump_xivo_user_to_file.py...
execute the following script before upgrading your wazo:
/usr/share/xivo-upgrade/post-start.d/23_load_wazo_user_from_file.py -f

J'ai alors regardé et découvert que 23_load_wazo_user_from_file.py avait disparu lors du passage a 19.12 !

J'ai tenté de recopier la version de 19.11, mais sans succès,

RE: Mise a jour 18.03 vers Wazo-Platform - Added by François Blackburn 5 months ago

Il faut investiguer la première erreur. Ce n'est pas normal qu'il te dise que la variable XIVO_VERSION_INSTALLED ne soit pas set.
Pour le reste, je te conseille vivement de revenir sur un snapshot ou sur un backup.
Assure toi d'avoir au moins un de ces paquet d'installé: xivo ou xivo-base ou wazo-platform (e.g. apt-cache policy xivo)
Car cette erreur pourrait apparaître si aucun de ces paquets est installé.
Ensuite resuivre la procédure d'upgrade.

Si tu as encore le problème. Dit nous les commandes exacts que tu as fait ainsi que le log des différents output.
Mais évite de bidouiller le script d'upgrade

RE: Mise a jour 18.03 vers Wazo-Platform - Added by Olivier Bitsch 3 months ago

Bonjour,

Avez-vous pu solutionner le problème, car j'ai exactement le même soucis.

@Upgrading wazo-upgrade
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
xivo-upgrade is already the newest version (19.14~20190925.180051.ce3a5c8.deb9).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 90 non mis à jour.
/usr/bin/real-xivo-upgrade: ligne 313 : [: < : opérateur unaire attendu
installed version :
proposed update : 19.12

Asterisk will be upgraded from version 15 to 16. You might be impacted if you have:

  • custom Asterisk configuration (other than custom dialplan)
  • custom application using AMI or ARI
  • custom Asterisk modules (e.g. codec_g729a.so)

If you find yourself in one of these cases, you should make sure that
your customizations still work with Asterisk 16. Please refer to
http://documentation.wazo.community/en/stable/upgrade/18.12/asterisk_16.html
for more information.

Would you like to upgrade your system (all services will be restarted) [Y/n]?
Executing upgrade script /usr/share/xivo-upgrade/pre-stop.d/01_dump_xivo_user_to_file.py...
execute the following script before upgrading your wazo:
/usr/share/xivo-upgrade/post-start.d/23_load_wazo_user_from_file.py -f
Failed to execute /usr/share/xivo-upgrade/pre-stop.d/01_dump_xivo_user_to_file.py
Please, fix this issue before re-executing wazo-upgrade@

Pour ma part, le fichier /usr/share/xivo-upgrade/pre-stop.d/01_dump_xivo_user_to_file.py n'existe pas.

Merci

Olivier.

RE: Mise a jour 18.03 vers Wazo-Platform - Added by Olivier Bitsch 3 months ago

Je crois que j'ai trouvé,

http://documentation.wazo.community/en/stable/upgrade/archives-from-wazo-stretch.html

Il semble que je suis trop en retard pour passer directement vers la dernière version. J'ai dans un premier temps lancé les commandes suivantes pour éviter de sauter les versions.

wazo-dist -a wazo-18.08
apt-get update
apt-get install xivo-upgrade/wazo-18.08
wazo-upgrade
wazo-dist -m phoenix-stretch

Jusque là tout à l'air de bien se passer, je vous tiens au courant de la suite.

RE: Mise a jour 18.03 vers Wazo-Platform - Added by Olivier Bitsch 3 months ago

OK, maintenant j'ai exactement les mêmes erreurs que Kévin :

@# wazo-upgrade
Upgrading wazo-upgrade
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
xivo-upgrade is already the newest version (19.04~20190307.174124.c923df9.deb9).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 103 non mis à jour.
installed version : 18.03
proposed update : 19.04

Asterisk will be upgraded from version 15 to 16. You might be impacted if you have:

  • custom Asterisk configuration (other than custom dialplan)
  • custom application using AMI or ARI
  • custom Asterisk modules (e.g. codec_g729a.so)

If you find yourself in one of these cases, you should make sure that
your customizations still work with Asterisk 16. Please refer to
http://documentation.wazo.community/en/stable/upgrade/18.12/asterisk_16.html
for more information.

Would you like to upgrade your system (all services will be restarted) [Y/n]?
Executing pre-stop upgrade action...
execute the following script before upgrading your wazo:
/usr/share/xivo-upgrade/post-start.d/23_load_wazo_user_from_file.py -f
Fail to execute /usr/share/xivo-upgrade/pre-stop.d/01_dump_xivo_user_to_file.py
Please, fix this issue before re-executing wazo-upgrade@

Une idée ?

RE: Mise a jour 18.03 vers Wazo-Platform - Added by Damien Barbier 3 months ago

J'ai exactement le même problème. Si quelqu'un connait la solution, merci d'avance.

    (1-7/7)